For the complete documentation index, see llms.txt. This page is also available as Markdown.

Unlocks

Get File Unlocks

get

Get all unlocks associated with a file.

Path parameters
idstringRequired
Responses
200

OK

No content

get/api/files/{id}/unlocks
GET /api/files/{id}/unlocks HTTP/1.1
Host: api.rair.market
Accept: */*
200

OK

No content

Update File Unlock

post

Update unlocks associated with a file

Path parameters
idstringRequired
Body
offersstring[]Optional
Responses
200

OK

No content

post/api/files/{id}/unlocks
POST /api/files/{id}/unlocks HTTP/1.1
Host: api.rair.market
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "offers": [
    "text"
  ]
}
200

OK

No content

Remove File Unlock

delete

Remove an unlock from a file.

Path parameters
idstringRequired
Responses
200

OK

No content

delete/api/files/{id}/unlocks
DELETE /api/files/{id}/unlocks HTTP/1.1
Host: api.rair.market
Accept: */*
200

OK

No content